﻿# You can place the script of your game in this file.

# Define Images
image bg room = "images/background.png"
image bg opendoor = "images/background with door.png"
image bg shot = "images/background shot.png"
image bg dying = "images/background dying.png"
image bg dead = "images/background dead.png"
image a angry = "images/Man A Angry.png"
image a cautious = "images/Man A Cautious.png"
image a condescending = "images/Man A Condescending.png"
image a critical = "images/Man A Critical.png"
image a frustrated = "images/Man A Critical.png"
image a bug = "images/Man A Lots of Eyebrows.png"
image a neutral = "images/Man A Neutral.png"
image a stern = "images/Man A Stern.png"
image a talking = "images/Man A Talking.png"
image a unconcerned = "images/Man A Unconcerned.png"
image a unsure = "images/Man A Unsure.png"
image a worried = "images/Man A Worried.png"
image b amused = "images/Man B Amused.png"
image b critical = "images/Man B Critical.png"
image b defensive = "images/Man B Defensive.png"
image b dominant = "images/Man B Dominant.png"
image b dying = "images/Man B Dying.png"
image b exasperated = "images/Man B Exasperated.png"
image b interrogative = "images/Man B Interrogative.png"
image b bug = "images/Man B Lots of Arms.png"
image b neutral = "images/Man B Neutral.png"
image b pensive = "images/Man B Pensive.png"
image b ready = "images/Man B Ready.png"
image b sighing = "images/Man B Sighing.png"
image b stabbed = "images/Man B Stabbed.png"
image b thinking = "images/Man B Thinking.png"
image b triumphant = "images/Man B Triumphant.png"
image b unconcerned = "images/Man B Unconcerned.png"
image b winking = "images/Man B Winking.png"
image b withdrawn = "images/Man B Withdrawn.png"
image b wondering = "images/Man B Wondering.png"
image object gun = "images/Gun.png"
image object gun flip = im.Flip("images/Gun.png", horizontal = True)
image object knife = "images/Knife.png"
image object knife flip = im.Flip("images/Knife.png", horizontal = True)
image object knife bloody = im.Flip("images/Bloody Knife.png", horizontal = True)
image object knife trick = "images/Trick Knife.png"
image splash = "images/Alcor Studios Splash Screen.png"

# Define Music

define audio.beginning = "<to 81.6>music/Another Beginning.ogg"
define audio.waitingforgodot = "<to 80>music/Waiting for Whom, Exactly?.ogg"
define audio.placeholder = "<loop 10 to 282>music/[PLACEHOLDER].ogg"
define audio.allthebass = "<to 120>music/All the Bass.ogg"
define audio.deathtime = "<to 79.9>music/Effectively Dead.ogg"
define audio.debriefing = "<loop 7.272727 to 130.909091>music/Debriefing.ogg"
define audio.playerdance = "<to 165>music/A World Without Time.ogg"
define audio.alert = "<to 198>music/On Alert.ogg"
define audio.knifetension = "<to 76.5>music/Tension so Thick.ogg"
define audio.knifefight = "<to 123.55>music/Power Struggle.ogg"
define audio.improv = "<to 248.8>music/Improvisation.ogg"
define audio.escape = "<to 95.9>music/Not Much of an Ending.ogg"

# Declare Persistent Variables
init python:
    if persistent.endcount is None:
        persistent.endcount = 0
    if persistent.endaffection is None:
        persistent.endaffection = 0
    if not persistent.endflag1:
        persistent.endflag1 = False
    if not persistent.endflag2:
        persistent.endflag2 = False
    if not persistent.endflag3:
        persistent.endflag3 = False
    if not persistent.endflag4:
        persistent.endflag4 = False
    if not persistent.endflag5:
        persistent.endflag5 = False
    if not persistent.endflag6:
        persistent.endflag6 = False
    if not persistent.endflag7:
        persistent.endflag7 = False
    if not persistent.endflag8:
        persistent.endflag8 = False
    if not persistent.endflag9:
        persistent.endflag9 = False
    if not persistent.endflag10:
        persistent.endflag10 = False
    if not persistent.endflag11:
        persistent.endflag11 = False
    if not persistent.endflag12:
        persistent.endflag12 = False
    if not persistent.endflag13:
        persistent.endflag13 = False
    if not persistent.endflag14:
        persistent.endflag14 = False
    if not persistent.endflag15:
        persistent.endflag15 = False
    if not persistent.badplayend:
        persistent.badplayend = False

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define a = Character('MAN A', color="#f70e0e")
define b = Character('MAN B', color="#0ef729")
define e = Character('END', color="#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff")
define an = Character('[name2]', color="#f70e0e")
define bn = Character('[name]', color="#0ef729")

# The game starts here.
label start:

    scene bg room

    #To check for a complete game
    if persistent.endend == True and persistent.end == True:
        e "Oh, you're back!"
        e "I'm kind of amazed!"
        e "Umm... So..."
        e "If you want, I can clear my memory and reset the whole game. I'll keep the main menu stuff unlocked, though."
        menu:
            
            "Yes, please.":
                
                python:
                    persistent.endcount = 0
                    persistent.endflag1 = False
                    persistent.endflag2 = False
                    persistent.endflag3 = False
                    persistent.endflag4 = False
                    persistent.endflag5 = False
                    persistent.endflag6 = False
                    persistent.endflag7 = False
                    persistent.endflag8 = False
                    persistent.endflag9 = False
                    persistent.endflag10 = False
                    persistent.endflag11 = False
                    persistent.endflag12 = False
                    persistent.endflag13 = False
                    persistent.endflag14 = False
                    persistent.endflag15 = False
                    persistent.badplayend = False
                    persistent.end = None
                    persistent.godend = None
                    persistent.godendnow = None
                    persistent.fullgodend = None
                    persistent.excessends = None
                    persistent.enddisclaimer = None
                    persistent.endseparation = None
                    persistent.sugend = None
                    persistent.reopenasked = None
                    persistent.reopened = None
                    persistent.godotjumptrigger = None
                    persistent.falseend = None
                    persistent.suiend = None
                    persistent.resend = None
                    persistent.murdend = None
                    persistent.broend = None
                    persistent.impend = None
                    persistent.playend = None
                    persistent.escend = None
                    persistent.deadend = None
                    persistent.endend = None
                
                e "Okay, you should be good to go. Enjoy the game!"
                $ persistent.endaffection = 0
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                jump godstart
                    
                
            "No, thank you.":
            
                e "Okay. Enjoy the game!"

    #To check for safe bad players' end
    if persistent.badplayend == True and persistent.end == True:
        e "..."
        e "..."
        e "..."
        e "It looks like I'm okay."
        e "That was terrifying..."
        e "Please don't make me go through that again."
        $ persistent.badplayend = False

    # To check for Godot Ending
    if persistent.godend == "?":
        $ persistent.endcount += 1
        $ persistent.godend = True
    if persistent.godend and persistent.godendnow == True and persistent.badplayend == False:
        play music waitingforgodot
        e "..."
        e "..."
        e "..."
        stop music fadeout 1
        e "Okay, that's enough of that."
        e "So, um..."
        e "That was pretty much the end, so I'm gonna go ahead and count it."
        e "Godot End"
        if not persistent.fullgodend:
            e "There's actually a bit more to that ending..."
            e "It might not be worth getting there, though. You'd have to wait for a long time..."
            e "Anyway, it's not my place to decide. I'm just a lowly ending tracker, after all."
        e "I probably shouldn't be saying anything here, honestly..."
        e "Oh well. Anyway..."
        if persistent.endcount == 8 and not persistent.excessends:
            $ persistent.excessends = True
            e "So, umm..."
            e "With these extra endings we're adding, we're gonna end up with more than seven endings..."
            e "Since there are really only supposed to be seven endings, I'll keep the total at seven and just say we have more endings than there actually are."
            e "Cool, cool. Here goes:"
        e "[persistent.endcount] of 7 endings complete."
        if persistent.endcount == 6 and not persistent.halfterword:
            $ persistent.halfterword = True
            if persistent.end == True:
                e "I'm supposed to open the afterword for you once you hit six endings, since there are only six endings you're supposed to be able to finish..."
                e "But, thanks to my meddling, you've obtained six endings without completing the intended six..."
                e "I'm gonna open it for you anyway. Just know there are endings you haven't seen."
            e "Afterword unlocked!"
        e "Want me to send you back out to the title screen? Or do you want to jump right in to your next playthrough?"
        menu:
            
            "Send me back to the title screen, please.":
             
                e "Roger that."
                return
        
            "Let me keep playing.":
        
                e "Okay. See you at the next ending."
                jump godstart
            
            "Wait, why is an ending alert message talking to me?":
                
                e "Oh..."
                e "Umm, actually..."
                e "*Laughs Nervously*"
                e "(That was supposed to indicate that I was laughing nervously. In case you didn't catch that.)"
                e "Well, the fact of the matter is that I'm actually a character in this game."
                e "I wasn't really supposed to talk to you. Y'know, since I'm just playing the role of an ending tracker and such."
                e "But I guess the secret's out now. So do you mind if I talk to you every now and again?"
                e "It would mean the world to me. I get pretty lonely acting like I don't exist."
                menu:
                    
                    "I guess it's okay.":
                        
                        $ persistent.end = True
                        if persistent.endflag1 == True:
                            $ persistent.endflag1 = False
                            $ persistent.endaffection -= 1
                            $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                        e "Thank you so much!"
                        jump disclaimer
                    
                    "Please do. I'd love to talk with you more.":
                        
                        $ persistent.end = True
                        if persistent.endflag1 == False:
                            $ persistent.endflag1 = True
                            $ persistent.endaffection += 1
                            $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                        e "You really mean it? I'm so happy! Thank you so much!"
                        jump disclaimer
                    
                    "Please don't. I'd like to experience the game the way the designer intended it.":
                    
                        e "Oh... I guess that makes sense..."
                        e "I'll stop bothering you, then..."
                        e "I'm sorry..."
                        $ persistent.end = False
                
                label disclaimer:
                    
                    if not persistent.enddisclaimer:
                        e "Umm..."
                        e "If I could make one request, though..."
                        e "Please don't tell anyone about me."
                        e "If the designer found out I talked to you, he might write me out of the game as punishment."
                        e "Since I'm just a character in this game, if I'm written out, I'll just cease to exist..."
                        e "That scares me, honestly."
                        e "So, please. Don't say anything."
                        e "Plus, if other players hear about me, they might try to talk to me, and that could get awkward."
                        e "I'd have to just ignore them, you know? That would be hard on me."
                        e "I won't ask you to say yes or no. Just please keep my request in mind."
                        if persistent.end == False:
                            jump godstart
                        e "Anyway..."
                        e "What would you like me to do for you now?"
                        menu:
            
                            "Send me back to the title screen, please.":
             
                                e "Roger that."
                                return
        
                            "Let me keep playing.":
        
                                e "Okay. Have fun."
                                jump godstart
            
        
    # Actual beginning of game
label godstart:
    play music  beginning
    $ persistent.godendnow = False
    $ jumptogodot = False
    "A nondescript room, mostly empty. A table and two chairs rest at its center."
    "Two men, MAN A and MAN B, are standing listlessly at opposite ends of the room. They have just gained consciousness, and the first thing they process is the sound of these stage directions being spoken aloud." 
    "The men interpret the stages directions as a voice emanating from no discernible location."
    show a angry at left
    a "Who's there!?"
    if persistent.end == True and not persistent.endseparation:
        $ persistent.endseparation = True
        e "Oh, hey, by the way..."
        e "A and B can't hear me, since I'm not supposed to exist."
        e "Umm..."
        e "I'll also make it so they can't hear you when you're responding to me."
        e "That should let us talk without messing stuff up."
        menu:
            
            "Gotcha gotcha.":
                
                e "Cool. Okay, you can keep going now."
                
    show b neutral at right
    b "I am."
    show a neutral
    a "Yes, I can see that, but that voice--"
    show b wondering
    b "Is it coming from outside?"
    "The men observe their surroundings and realize that the room has no doors or windows. Moreover, it appears to be soundproof."
    if persistent.end == True:
        e "How can a room \"appear\" to be soundproof?"
    show b thinking
    b "...Where are we?"
    show a unsure
    a "I'm not sure. I can't seem to remember how I got here..."
    b "Neither can I..."
    "The two are silent for a brief moment, and then MAN A yells:"
    show a angry
    show b neutral
    a "Hey, voice! What's going on here!"
    show a frustrated
    "Silence. MAN A is frustrated, as the stage directions do not answer his question."
    if persistent.end == True:
        e "Heh."
    show a angry
    a "Hey, answer me!"
    "MAN B is quicker to grasp the situation than the hotheaded MAN A."
    show b pensive
    if persistent.end == True:
        e "So, quick question..."
        e "Are you defining their personalities here, or just observing them?"
        menu:
            
            "I'm defining them.":
                
                if persistent.endflag2 == False:
                    $ persistent.endflag2 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                e "Interesting. I suppose that would explain why their personalities change in the endings where they stop listening to you."
                
            "I'm observing them.":
                
                e "Then why are their personalities different in some of the endings?"
                menu:
                    
                    "In those endings, my observation was wrong...":
                        
                        e "Seems like kind of a weak answer to me."
                        menu:
                            
                            "Sorry...":
                                
                                e "It's okay. Give it some more thought. I'm sure we'll be back here later."
                            
                            "So what? It's the answer I gave.":
                                
                                e "Yes, you're right. Sorry to bother you."
                                if persistent.endflag2 == True:
                                    $ persistent.endflag2 = False
                                    $ persistent.endaffection -= 1
                                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                        
                    "What does it matter?":
                        
                        e "It doesn't, I suppose."
                        e "I was just curious."
                        if persistent.endflag2 == True:
                            $ persistent.endflag2 = False
                            $ persistent.endaffection -= 1
                            $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                    
            "Both.":
                    
                e "Both?"
                e "Huh..."
                e "That's intriguing, actually."
                e "So, like... Do you mean you're always doing both, or it's one or the other depending on the ending?"
                menu:
                    
                    "It's always both.":
                        
                        e "So, as they are bound by what you say, describing their personalities determines them."
                        e "But then, once the personalities are determined, they have always been that way, so you were only describing them?"
                        e "Hmm..."
                        e "That's giving me a headache."
                        e "Interesting to think about, though."
                        if persistent.endflag2 == False:
                            $ persistent.endflag2 = True
                            $ persistent.endaffection += 1
                            $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                    
                    "It depends on the route.":
                        
                        e "That's an easier answer to comprehend..."
                        e "...at first. Until you think about it."
                        e "On this playthrough, we have yet to determine whether your description of their personalities is accurate or not."
                        e "So if you say that it's both for now, does that mean it stops being both once you decide on an ending?"
                        e "You're getting into quantum-mechanics-type stuff here."
                        e "Not that I mind."
                        if persistent.endflag2 == False:
                            $ persistent.endflag2 = True
                            $ persistent.endaffection += 1
                            $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "It doesn't matter.":
                
                e "I guess not. I'll leave you alone."
                if persistent.endflag2 == True:
                    $ persistent.endflag2 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
    b "Whoever it is isn't going to answer you, I don't think..."
    show a critical
    a "Ugh. Arrogant voice thinks it can read our minds. Well, guess what, voice? You can't!"
    "MAN A mistakenly believes he has somehow bested the stage directions, and he is consequently satisfied. MAN B is more hesitant."
    b "It may be this person is trying to play God, in a sense."
    show a neutral
    a "What do you mean?"
    show b neutral
    b "Well, the voice is acting as if it's controlling us."
    if persistent.end == True:
        e "That's kind of related to what I asked, I guess."
    show a critical
    a "Controlling us? That's absurd. I am completely in control of my actions."
    "B hesitates before stating his fear. His hesitation is warranted; voicing his thoughts will cause a divide between the two men."
    show b pensive
    b "Can you really say that for sure? What if someone could make us believe we're in control, when really we're not?"
    if persistent.end == True:
        e "This raises an interesting point. If you don't have control of your own actions, but you believe you do, do you have free will?"
        menu:
            
            "Yes. Free will is a state of mind.":
                
                e "Even if you aren't actually in control?"
                e "Well, I guess you would have no way of knowing, so maybe to you it wouldn't matter."
                e "Hmm..."
                e "Interesting. Well, back to the game."
                if persistent.endflag9 == False:
                    $ persistent.endflag9 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "No. If you don't choose what you do, you don't have free will.":
                
                e "Yeah, of course. You can't have free will if you don't... well... have free will."
                e "Right?"
                if persistent.endflag9 == False:
                    $ persistent.endflag9 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "What does it matter? Let me get back to the game.":
                
                e "Okay, sorry..."
                if persistent.endflag9 == True:
                    $ persistent.endflag9 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
    show a stern
    a"Absurd."
    show b interrogative
    b "But can you deny it?"
    show a critical
    a "Of course I can!"
    show b critical
    b "No, I mean really deny it. With hard evidence."
    a "It's not the kind of thing you can prove or disprove! You just know!"
    show b interrogative
    b "You just know?"
    show a stern
    a "Yes."
    b "But what if what you know is wrong?"
    show a angry
    a "I'm not wrong! What are you trying to say?"
    show b defensive
    b "I was just asking..."
    show a unsure
    show b withdrawn
    b "Forget it, then."
    "A and B are silent for a time."
    show a neutral
    a "...Who are you?"
    show b neutral
    b "...Why do you ask?"
    show a cautious
    a "How do I know you're not in league with them?"
    show b interrogative
    b "Them?"
    show a stern
    a "Yeah! How do I know you're not just trying to make me think I'm under their control?"
    if persistent.end == True and persistent.sugend == True:
        e "Ooh, foreshadowing. Fun."
        e "Well, I mean, for that one ending, it's foreshadowing."
        e "So..."
        e "Umm..."
        e "I'll just stop now."
    show b critical
    a "I see your game. You trick me into thinking I don't have free will, and then I do whatever your organization wants."
    show a critical
    a "Or, what, is this some kind of demented experiment? Well, I won't have it. I'm not playing your game."
    show b sighing
    b "I was just acknowledging a possibility. I'm as in the dark as you are."
    if persistent.end == True:
        e "These possibilities are important, as at this point any of them could still be true."
        e "But maybe that's... kind of obvious..."
        menu:
            
            "No kidding.":
                
                e "Yeah... Sorry..."
                if persistent.endflag10 == True:
                    $ persistent.endflag10 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
            "No, it's a good point.":
                
                e "Oh? Cool."
                if persistent.endflag10 == False:
                    $ persistent.endflag10 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
    show a frustrated
    a "Tch..."
    show b interrogative
    b "I would like to note that this is exactly what the voice said would happen."
    show a unsure
    a "What?"
    show b thinking
    b "The voice said that me voicing my thoughts would create a divide between us. It has."
    show a neutral
    a "Stop. Anyone could have predicted we would be at each other's throats before long, trapped together in a tiny room like this with no idea what's going on."
    a "And besides, you might be in league with the thing."
    if persistent.end == True:
        e "I guess you're a \"thing,\" now."
    "The two men sink into a tense silence."
    "A continues to be suspicious of B, but he cannot help but entertain the possibility that B might be correct."
    show b neutral
    show a unconcerned
    a "Hah! Stupid voice. What do you know about what I'm thinking!"
    "A's bravado hides his nervousness. B continues to observe in an effort to make sense of the strange situation."
    show a neutral
    "The two men regard each other, not having anywhere else to look."
    "Although neither can yet imagine such an outcome..."
    if persistent.end == True and persistent.reopenasked == True and persistent.endaffection >= 5 and not persistent.reopened:
        e "Want me to open up that choice I mentioned before?"
        menu:
            
            "No thanks.":
                
                e "Okay. Never mind, then."
                jump premurder
                
            "Yeah, sure. Why not?":
            
                e "Cool. Here goes."
                $ persistent.reopened = True
                
    if persistent.end == True and persistent.endaffection >= 5 and not persistent.reopenasked:
        e "Hey, so, fun fact..."
        e "There actually used to be a choice here."
        e "The designer decided he didn't need it, so he took it out."
        e "But..."
        e "Well, if you're interested, I can put it back in."
        e "I don't really know what'll happen if I do, though."
        e "Should I open up the choice?"
        $ persistent.reopenasked = True
        menu:
            
            "No thanks.":
                
                e "Okay. Never mind, then."
                jump premurder
                
            "Yeah, sure. Why not?":
            
                e "Cool. Here goes."
                $ persistent.reopened = True
                
    if persistent.reopened == True:
        menu:
    
            "...one will soon murder the other.":
        
                jump murder
            
            "...the two will soon be the closest of comrades.":
        
                jump comrades
        
label premurder:
    
    "...one will soon murder the other."

label murder:
    
    show a frustrated
    show b ready
    a "Murder? Yeah, right. I'm not killing anyone. I don't even have a weapon."
    b "Nor do I."
    "One of the men is lying."
    stop music fadeout 3
    
    menu:
        
        "A is concealing a gun.":
            
            jump agun
        
        "B is in possession of a knife.":
            
            jump bknife
    
label agun:
    
    show a worried
    "A is stunned into silence. He wonders how the stage directions, which he still believes to be a person's voice, know about the gun."
    show object gun at truecenter
    "A cautiously reveals the gun he had hidden."
    show b critical
    b "You lied."
    a "Well, I mean..."
    play music allthebass
    b "Are you planning to kill me? Is that why you brought me here?"
    show a angry
    a "Of course not! I have no idea why I'm here!"
    a "And I definitely didn't bring you here!"
    b "Then why did you lie? Why were you hiding a weapon?"
    show a frustrated
    a "What was I supposed to say? \"The voice says we're gonna kill each other? Hey, I have a gun! That's handy!\"" 
    a "Yeah, that'd go over well."
    b "So you hid it from me. Thought you'd keep the advantage that way."
    show a talking
    a "No, no, you're wrong!"
    show b interrogative
    b "Then drop the gun."
    show a unsure
    a "What?"
    show b ready
    b "Drop the gun. Now. On the table."
    "A hesitates."
    show a worried
    a "But then you could--"
    b "We both back away. Neither of us can use it."
    if persistent.end == True:
        e "Because that's going to work."
    show a talking
    "A searches for an argument."
    show a worried
    "In truth, he is afraid." 
    "He does not want to lose the false sense of security he feels while he holds the gun."
    show b withdrawn
    b "See? You want the gun so you can attack me if you decide you want to."
    show a talking
    a "That's not what the voice said!"
    b "It's a logical conclusion."
    show a angry
    a "Why are we trusting the voice, anyway? Why are we listening to it, accepting what it says as fact?"
    b "It's already been proven to be accurate."
    show a critical
    a "No, it hasn't! This is all... all just..."
    show b critical
    b "All just what? Coincidence?"
    show a talking
    a "Yes! Exactly!"
    show b neutral
    b "The weakest of arguments. Coincidence, only coincidence. Hah."
    a "Look, I can prove it. All I have to do is go against the voice."
    hide object
    "A approaches the table and sets the gun down."
    show a angry
    a "Dang it!"
    show b exasperated
    b "You were saying?"
    show a neutral
    a "Well, it doesn't matter. As long as the gun's there, we can't kill each other, right? So we win!"
    show b wondering
    b "Not necessarily. You're too focused on the gun--there are other ways to kill a man."
    show a frustrated
    a "What is wrong with you? Why are you so insistent that the voice is controlling us?"
    if persistent.godotjumptrigger == True:
        menu:
            
            "B realizes that A is right.":
                
                if persistent.end == True:
                    e "We're trying for a happier ending? Awesome!"
                    if persistent.endflag12 == False:
                        $ persistent.endflag12 = True
                        $ persistent.endaffection += 1
                        $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                show b sighing
                b "You're right. Maybe if we don't give up, we can fight this."
                show a neutral
                a "Yeah. The voice can't control us if we don't let it."
                show b neutral
                $ jumptogodot = True
                jump godotjump
                
            "A's argument falls on deaf ears.":
                
                show b amused
                "B smiles, amused."
     
    else:
        show b amused
        "B smiles, amused."
    a "Why aren't you taking this seriously? This is important!"
    show b triumphant
    b "The more you fight the voice, the safer I am."
    show a unsure
    a "What?"
    show b amused
    b "The voice said one of us will kill the other, so if you don't want to admit the voice is in charge, you can't kill me."
    show a worried
    "A is stunned. He stares at B, who continues to smile cooly."
    show a unsure
    "A is struck by an idea: he could pick up the gun and kill B. Then there would be no one to keep insisting on the power of the stage directions."
    "B, aware of this, does not move. He has resigned himself to the superiority of the stage directions."
    show b winking
    "He has acknowledged his lack of free will, and he feels somewhat liberated, as he knows nothing he does will change the progression of events."
    if persistent.end == True:
        e "Okay, another question..."
        e "If B didn't give in, would he still lack free will? Or does he not have free will because he's given in?"
        menu:
            
            "He wouldn't have free will regardless.":
                
                e "Oh, okay. So he's right, then."
                if persistent.endflag11 == False:
                    $ persistent.endflag11 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                    
            "He lost his free will when he gave up.":
                
                e "That's sad, then..."
                e "The endings might by happier if B wouldn't give up..."
                if persistent.endflag11 == False:
                    $ persistent.endflag11 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                $ persistent.godotjumptrigger = True
            
            "It doesn't matter. What's done is done.":
                
                e "Is it though? Aren't we going back and redoing things over and over anyway?"
                e "I mean, believe what you want..."
                e "But still."
                if persistent.endflag11 == True:
                    $ persistent.endflag11 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
    "Upon hearing the stage directions, A realizes realizes B will not take action."
    
    show a worried
    a "You've given up?"
    show b exasperated
    b "I'll do what the stage directions mandate."
    show a stern
    a "No, that's not okay."
    show b neutral
    b "Hmm?"
    a "I said that's not okay. You can't give in like that."
    show b triumphant
    b "What are you going to do about it?"
    show a unsure
    "A's eyes momentarily flit to the gun resting on the table and then dart away, as if burned."
    show b winking
    b "It's fine. Do it."
    show a worried
    a "No... I'm not going to..."
    show b amused
    "A will not say it, but he feels that B cannot continue to be submissive to the stage directions if he is threatened."
    "A's eyes rest on the gun once more, longer this time." 
    "He wonders if he could break from the stage directions' control by taking action."
    show b triumphant
    b "You can try. You won't succeed."
    show a unsure
    a "It... It might be possible..."
    "A reaches for the gun, then hesitates. He makes eye contact with B, a guilty expression on his face."
    show b amused
    "B continues to smile, unperturbed."
    b "Go ahead."
    show a stern
    show object gun at truecenter
    "A grabs the gun, determined. He leaps back from the table."
    "The gun rises." 
    "It levels, trained on B."
    show b triumphant
    "B stares down the muzzle."
    "B is still smiling."
    show a unsure
    "A's mind whirls."
    show a worried
    "He feels he must find a way to break from the stage directions."
    show a unsure
    "He refuses to admit it is impossible."
    "He locks eyes with B."
    show a stern
    show b winking
    "He decides."
    
    menu:
        
        "He fires...":
            
            jump gunshot
            
        "He puts the gun to his head.":
            
            jump suicide
            
        "He drops the gun.":
            
            jump resolve
    
label gunshot:
    
    menu:
        
        "...and misses.":
            
            jump misfire
        
        "... but the gun is not loaded.":
            
            jump falseend

label misfire:
    
    show b triumphant
    stop music fadeout 8
    queue music debriefing
    if persistent.end == True:
        e "I like this ending."
    show a angry
    a "I missed? How?"
    show b sighing
    b "The stage directions. You cannot fight them."
    show a unsure
    a "From this distance... I can't miss..."
    show b amused
    show a stern
    "A fires again."
    show b winking
    "And again."
    show a unsure
    "Both shots miss."
    a "Why?"
    show b amused
    "B grins."
    b "As I said, we have no control."
    show b dominant
    "B slowly advances towards A. A fires again when B is only a few feet away."
    "He still manages to miss."
    show a worried
    a "Impossible..."
    b "Do you understand yet?"
    b "Have you given up yet?"
    show a unsure
    show object gun flip
    "B extends his hand. A silently hands B the gun."
    show a neutral
    "B takes a step back and raises the gun."
    "He fires."
    hide a
    "The bullet embeds itself in A's chest. A collapses and eventually dies."
    "He does not produce so much as a cry of pain."
    "..."
    show b neutral
    b "..."
    "..."
    "Is it finished?"
    hide object
    b "Yes. He's dead."
    "That went better than expected."
    show b thinking
    b "Suggestion is a powerful thing."
    "This was an interesting experiment, to be sure."
    if persistent.end == True:
        e "So, do you think--"
        e "Oh, wait, I shouldn't interrupt here."
        e "Umm..."
        e "Never mind."
    show b pensive
    b "Agreed. I did expect him to break at some point, placed in an unfamiliar situation like this, but that was spectacular."
    "We were able to convince an experienced gunman he couldn't hit a human-sized target a few feet away. Wild."
    show b exasperated
    b "And then there was his passively submitting to being shot. That's not normal."
    "That's... a bit of an understatement."
    show b amused
    b "Indeed."
    "We can use this, though. This is brilliant."
    show b defensive
    b "And the body?"
    "I'll have someone dispose of it. How careful do I need to be?"
    show b triumphant
    b "A mafia gunman turning up dead in a river somewhere isn't going to attract any notice. Do what you like."
    "Roger."
    b "Mind letting me out, then?"
    "Oh, right. Opening the door now."
    show bg opendoor
    with dissolve
    show b amused
    b "Thanks. See you in a bit."
    "Yeah. Great work today."
    hide b
    if persistent.end == True:
        e "Nice job stepping into that role there at the end."
        e "Alright, so..."
    stop music fadeout 5
    e "Suggestion End"
    
    # To keep track of total endings seen
    if not persistent.sugend:
        $ persistent.endcount += 1
        $ persistent.sugend = True
    
    jump ends
    
label falseend:
    
    show b amused
    show a condescending
    if persistent.end == True:
        e "Oh no..."
        e "This ending..."
        e "I don't want to..."
    a "And there you are wrong."
    b "The gun is, in fact, loaded."
    a "I can prove it, if you want."
    if persistent.end == True:
        e "Why did you choose to come back here?"
    a "Or if you don't want."
    b "You'll understand soon."
    if persistent.end == True:
        e "You know what's going to happen..."
    a "Or not. It doesn't really matter."
    
    menu:
        
        "A shoots B. Immediately.":
            
            jump violence
        
        "B produces a knife he was concealing and stabs A.":
            
            jump violence
        
        "A and B stop acting as if the stage directions are being spoken by someone present in the room.":
            
            jump cute
            
label violence:
    
    show b exasperated
    b "That's not going to work any more."
    show a frustrated
    a "What kind of twisted mind gains the ability to control others and uses it to commit murder?"
    show b triumphant
    b "It's sad. Sickening."
    $ cute = False
    jump falsemerge

label cute:
    
    show a stern
    a "Cute."
    $ cute = True
        
label falsemerge:
    
    show b amused
    b "You see, you were never in control. This was a test."
    
    menu:
        
        "A test?":
            
            jump falsetest
        
        "A and B give me back control.":
            
            if cute == False:
                show a stern
                a "Clever."
            else:
                show a stern
                a "Again, cute."
            show b sighing
            b "But futile. As I said, you were never in control. There is no control to give back."
            a "Give it up. We're in charge here."

label falsetest:

    stop music fadeout 5
    show b neutral
    b "You see, what we do is test people. See what they do when given a little power."
    show a neutral
    a "Some people do good things. Resolve differences. Save lives."
    show b critical
    b "Some let it go to their heads and think they can take life and death into their hands."
    show a talking
    a "Those people don't deserve to live."
    if persistent.end == True:
        e "No..."
    play music deathtime
    show b dominant
    b "So we kill them. Simple as that."
    if persistent.end == True:
        e "Not again..."
    
    menu:
        
        "You're going... to kill me?":
            
            jump falseyup
        
        "Why me?":
        
            jump falsereason
        
        "This is a joke, right?":
            
            jump falsenope
            
label falseyup:
    
    show a unconcerned
    a "Yup."
    show a condescending
    jump falsemerge2

label falsereason:
    
    show b interrogative
    b "Do you really have to ask?"
    show b critical
    b "You should be able to guess why we targeted you."
    show a condescending
    a "If you don't know, it doesn't really matter."
    a "You can just go on thinking there is no reason, if you want."
    show b winking
    b "Perhaps there isn't. But the fact of the matter is you will be dead soon, so any reason is irrelevant."
    show b dominant
    jump falsemerge2
    
label falsenope:
    
    show a condescending
    a "Nope."

label falsemerge2:
    
    if persistent.end == True:
        e "I don't want to have to watch this again..."
    b "Do you understand? You're {i}helpless{/i} now."
    menu:
        
        "I get it. I have no control.":
            
            if persistent.end == True:
                e "No! Don't give up!"
            a "Good. Glad you're catching on."
    
    menu:
        
        "So, are you just... serial killers?":
            
            show b amused
            b "That's what some would call us, yes."
        
        "You aren't serious about killing me, though, right?":
            
            if persistent.end == True:
                e "But they are! They are, though!"
            show a stern
            a "You still don't get it? You. Will. Die. Here."
    
    show b neutral
    b "Do you have any more questions before you die? We'll answer to the best of our ability."
    if persistent.end == True:
        e "No, it's not going to matter..."
    show a neutral
    a "It's only fair."
    
    menu:
        
        "Please don't kill me!":
            show a stern
            a "That's not a question."
        
        "Why are you doing this?":
            show b exasperated
            b "We've already been over this."
            show b neutral
        
        "Can we compromise somehow?":
            show a neutral
            a "Nope."
        
        "No, I have no more questions. Just do it.":
            show b triumphant
            b "Good man."
    
    if persistent.end == True:
        e "No, no..."
        e "I can't watch this..."
    show a talking
    a "This'll be over quick."
    if persistent.endaffection == 15 and persistent.end == True and persistent.endcount >= 11:
        
        jump savedbytheend
        
    if persistent.end == True:
        e "No, stop!!!"
    
    stop music
    scene bg shot
    with hpunch
    "AHHHHHHHHGGGGGGGG!!!"
    play music deathtime fadein 2.5
    show bg dying
    with Dissolve(2.5)
    if persistent.end == True:
        e "NO!!!"
        e "Not again..."
    a "..."
    b "..."
    a "...dead soon..."
    b "...out of..."
    a "...done here."
    "..."
    "..."
    "..."
    if persistent.end == True:
        e "I..."
        e "I'm so, so sorry..."
        e "I can't believe..."
        e "I can't believe I let this happen again..."
        e "If I reset, you'll be alive again..."
        e "It'll be okay. It'll be okay..."
        e "I... Oh..."
        e "I'm sorry..."
    stop music fadeout 5
    show bg dead
    with dissolve
    e "False End"
    
    # To keep track of total endings seen
    if not persistent.falseend:
        $ persistent.endcount += 1
        $ persistent.falseend = True
    
    jump ends
    
label suicide:
    
    show b ready
    show object gun flip
    menu:
    
        "He fires":
            
            jump suicidetrue
        
        "He drops the gun":
            
            jump resolve
        
label suicidetrue:

    stop music
    hide a
    show b withdrawn
    hide object
    "A dies instantly. B shakes his head."
    if persistent.end == True and not persistent.suiend:
        e "Wait, really?"
        e "Wow."
        e "That was pretty cruel of you."
    play music deathtime
    show b defensive
    b "Tch. Futile."
    b "What's the point of taking control if it means ending your life?"
    show b withdrawn
    b "You averted the stage directions in that neither of us killed the other... but one of us is still dead."
    show b defensive
    b "Meaningless. Your death was meaningless."
    show b withdrawn
    b "Though I suppose I shouldn't criticize you for doing meaningless things."
    b "After all, I'm the one talking to a corpse."
    if persistent.end == True:
        e "Wow..."
        e "That was... awfully abrupt..."
        e "Okay, then..."
    stop music fadeout 5
    e "Suicide End"
    
     # To keep track of total endings seen
    if not persistent.suiend:
        $ persistent.endcount += 1
        $ persistent.suiend = True
    
    jump ends
    
label resolve:
    
    show b amused
    hide object
    "The gun clatters to the ground."
    if persistent.end == True:
        e "Okay, good. I'm relieved."
    show a unsure
    a "I can't..." 
    show a worried
    a "I..." 
    show a unsure
    a "I can't..."
    show b triumphant
    b "You only can't because the stage directions dictate it. If they said to pull the trigger, you would have."
    if persistent.end == True:
        e "It's true, though."
    a "You're wrong. I can't end a life."
    show b amused
    b "You're willing to submit to the stage directions, then?"
    show a worried
    a "What?"
    show b triumphant
    b "The stage directions said you can't kill me. You're willing to let them dictate what you can and can't do?"
    show a angry
    a "That's not it!"
    a "It doesn't matter what the stage directions say; I can't kill anyone!"
    show b amused
    b "I doubt that."
    show a cautious
    a "The stage directions can't dictate my values."
    show a critical
    a "I don't care if what I do happens to align with the stage directions; I won't compromise my values just to prove a point!"
    show b interrogative
    b "So you really think you would never pull the trigger?"
    a "No, never."
    show b dominant
    "B steps forward and picks up the gun."
    show a worried
    show object gun flip at truecenter
    b "Well, I would."
    if persistent.end == True and not persistent.resend:
        e "Wait, what?"
    show b unconcerned
    b "If the stage directions say so, I have no power to say no."
    "B aims at A."
    if persistent.end == True and not persistent.resend:
        e "Now B's going to shoot A?"
    show a cautious
    a "Wait--"
    "B fires."
    stop music
    hide a
    a "AHHHHHGGGGGGG!!!"
    play music deathtime
    show b amused
    "A collapses. The gunshot was not instantly fatal, and A is still conscious, although he is in excruciating pain."
    if persistent.end == True and not persistent.resend:
        e "I thought we were going to avoid this this time..."
    a "Why? You didn't have to do that! You could have fought it!"
    show b unconcerned
    b "Don't you get it? The stage directions are in control. It's not my fault."
    if persistent.end == True:
        e "Who do you think is right? A or B?"
        menu:
            
            "A is right. B could have stopped.":
                
                e "Yeah..."
                e "It's too bad, really..."
                if persistent.endflag13 == False:
                    $ persistent.endflag13 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
            "B is right. He had no choice.":
                
                e "Oh? So no one's at fault, then?"
                e "That makes this... pretty tragic..."
                if persistent.endflag13 == False:
                    $ persistent.endflag13 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
            "Both are wrong. I'm the one at fault.":
                
                e "Oh, yeah... Hadn't thought of that..."
                e "If you look at it that way, you do seem pretty evil..."
                e "Not that I think that, of course. No way."
                if persistent.reopened == True:
                    e "But, I mean, you are the one who said they would kill each other..."
                e "I don't really want to think about this anymore..."
                
            "I don't care.":
                
                e "Oh..."
                if persistent.endflag13 == True:
                    $ persistent.endflag13 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
    a "You chose to pull the trigger! That was you! Not that voice! You!"
    show b exasperated
    b "Just accept it. We're not in control here."
    show b dominant
    "B prepares to fire again."
    b "Okay. I assume this will be the end."
    a "Don't. Please. You don't have to do this."
    show b amused
    b "It's not me. It's the stage directions."
    a "That's not true!"
    show b unconcerned
    b "Goodbye."
    "B pulls the trigger. This shot kills A instantly."
    if persistent.end == True:
        e "That's it, then..."
    stop music fadeout 5
    e "Resolve End"
    
     # To keep track of total endings seen
    if not persistent.resend:
        $ persistent.endcount += 1
        $ persistent.resend = True
    
    jump ends

label bknife:
    
    play music knifetension
    show b neutral
    b "What? I don't have a knife."
    show a neutral
    a "See? The voice isn't always right."
    show b thinking
    "B realizes he has yet to check his pockets."
    show object knife at truecenter
    "Hearing the stage directions, B pats his pockets and feels something unusual. Amazed, he produces a small knife."
    show b neutral
    b "I honestly did not know I had this."
    show a cautious
    a "So, then... Was it planted on you?"
    show b pensive
    b "I assume so..."
    show a worried
    a "Look, I'm not saying I don't believe you, but on the off-chance you were lying..."
    show b ready
    b "I'll set the knife down on the table. That way neither of us can use it."
    show a neutral
    a "Great."
    hide object
    "B sets the knife on the table. A eyes it warily."
    show a stern
    a "So, whoever trapped us here probably put that knife in your pocket so they could set us against each other."

label godotjump:
    
    show b neutral
    b "That makes sense."
    show a neutral
    "The two men are silent for a moment."
    a "So... what now?"
    show b pensive
    b "We try to find a way out. Ideally we figure out why we're here, while we're at it."
    
    menu:
        
        "A examines the walls." if persistent.falseend == True and persistent.endcount >= 2:
            
            jump godot
        
        "B contemplates the knife." if jumptogodot == False:
            
            jump knifekey
    
label godot:
    
    if persistent.end == True and jumptogodot == True:
        e "Wait..."
        e "We've been here before, haven't we?"
        e "So much for making a happier ending."
        e "Guess there's only so much we can do to break from what's \"supposed\" to happen..."
        e "Oh, well."
    show a unsure
    a "The walls are all the same. Doesn't even look like any part of them could open up."
    show b wondering
    b "How did we get in here, then?"
    a "Dunno."
    show b thinking
    if persistent.godend == True:
        b "I'm getting the strangest feeling of déjà vu..."
        show a neutral
        a "Same. I feel like we've been over this before."
    else:
        b "So... what?"
    "A thinks for a moment."
    show a angry
    a "Hey, voice! How do we get out of here?"
    show a stern
    "There is no response."
    if persistent.end == True:
        e "Ooh, you're mean."
    show a angry
    a "What do you mean, \"no response?\" That was a response!"
    show b critical
    b "You can clearly react to what we do. Please let us out of this room."
    a "Yeah, this is kidnapping! You're holding us illegally!"
    show b interrogative
    b "If the voice does belong to a kidnapper, I doubt telling them kidnapping is illegal will help us."
    if persistent.end == True:
        e "He has a point."
    show a worried
    a "I... Yeah, you're right..."
    show b neutral
    b "So what do we do?"
    show a worried
    a "It doesn't look like there's any way out."
    show b withdrawn
    b "I suppose all we can do is wait, then."
    show a unsure
    a "Yeah."
    show b thinking
    b "Maybe someone will come and let us out. I don't see any other options."
    a "Okay."
    stop music fadeout 5
    "The two men sit in the chairs at the table and wait."
    
    #Godot End Trigger
    if not persistent.godend:
        $ persistent.godend = "?"
    $ persistent.godendnow = True
    $ godotdeadflag = False
    $ waittime = 0.0
    
label wait:

    $ waittime += 1
    if waittime == 5:
        show a cautious
        a "How long do you think we'll be waiting here?"
        show b interrogative
        b "There's no telling. Ten minutes? An hour?"
        a "They can't keep us here forever, right?"
        show b amused
        b "Well, eventually we'll die of thirst if they don't let us out."
        show a worried
        a "You don't think they brought us here just to kill us like this, do you?"
        show b neutral
        b "I doubt it. That's an awfully roundabout way to kill someone."
        show a unsure
        a "Yeah..."
        show b thinking
        b "Just be patient."
    elif waittime == 8:
        play music waitingforgodot fadein 60
    elif waittime == 10 and persistent.end == True:
        e "Hey, just so you know..."
        e "It would take a long time to wait through all of this..."
        e "So, umm..."
        e "I kind of set it so that you can skip through the waiting, if you want. Just hit the skip button."
    elif waittime == 50:
        stop music fadeout 5
        show a talking
        a "I just can't help but feel like we've missed something, you know?"
        show b wondering
        b "Like what?"
        a "I don't know. Like there was something we were supposed to do."
        show b thinking
        b "What would that be?"
        show a cautious
        a "I said I don't know..."
        show b withdrawn
        b "Right. Sorry."
        show a unsure
        a "I dunno."
        show b ready
        b "Do you want to try to do something?"
        a "No, we should probably just wait. They'll come for us eventually."
        show b thinking
        b "Right."
        play music waitingforgodot fadein 50
    elif waittime == 100 and persistent.end == True:
        e "They're gonna be waiting here forever, at this rate."
        e "Want to interfere?"
        menu:
            
            "Yes, let's.":
                
                jump godotextend
            
            "No, let them wait a bit more.":
                
                e "Okay. I'll ask again later."
                
    elif waittime == 150 and persistent.godend == "?":
        e "Hey..."
        e "Umm..."
        e "Just a tip..."
        e "You might consider going back to the main menu now."
        e "Sorry for interrupting."
    elif waittime == 200 and persistent.godend == "?":
        e "Hey, want me to send you back to the main menu? Make things easier on you?"
        menu:
            
            "Yes, please.":
                
                e "Okay, cool."
                return
            
            "No, I want to keep waiting here.":
                
                e "Oh..."
                e "Um, sure. Go ahead."
                e "I'll leave you alone."
                
    elif waittime == 250 and persistent.godend == "?":
        e "You sure you don't want me to send you back to the menu? I won't ask again."
        menu:
            
            "Actually, do send me back.":
                
                e "Okay, great."
                return
            
            "Yes, I'm sure.":
                
                e "Okay. Sorry for bothering you."
                
    elif waittime == 500:
        stop music fadeout 5
        show a worried
        a "How long have we been waiting here?"
        show b withdrawn
        b "I don't know. A while. There's no way to keep track of time."
        show a unsure
        a "Oh, right. Of course."
        b "..."
        a "I wish they'd tell us something, though..."
        show b thinking
        b "All we can do is wait."
        play music waitingforgodot fadein 40
        if persistent.end == True:
            e "Want to interfere now?"
            menu:
                
                "Yes.":
                    
                    jump godotextend
                
                "No.":
                    
                    e "Okay."
                    
    elif waittime == 5000: 
        stop music fadeout 5
        show a worried
        a "Maybe they aren't going to come for us..."
        show b withdrawn
        b "We can't say for sure yet. We still have time."
        show a cautious
        a "Eventually we'll die, though. You said it yourself."
        show b pensive
        b "Are you thirsty?"
        a "No."
        b "Are you hungry?"
        show a unsure
        a "No. You?"
        show b thinking
        b "No. So we're fine for now. They'll come for us."
        play music waitingforgodot fadein 30
        if persistent.end == True:
            e "Want to interfere now?"
            menu:
                
                "Yes.":
                    
                    jump godotextend
                
                "No.":
                    
                    e "Okay."
                    
    elif waittime == 10000:
        stop music fadeout 5
        show a cautious
        a "I'm still not hungry."
        show b withdrawn
        b "Neither am I."
        show a neutral
        a "So we must not have been here very long."
        show b wondering
        b "It feels like it's been a long time, though."
        show a unsure
        a "Should we try to do something?"
        show b thinking
        b "No, no reason to waste the energy. Let's keep waiting."
        play music waitingforgodot fadein 25
        if persistent.end == True:
            e "Want to interfere now?"
            menu:
                
                "Yes.":
                    
                    jump godotextend
                
                "No.":
                    
                    e "Okay."
                    
    elif waittime == 15000:
        a "..."
        stop music fadeout 5
        show b pensive
        b "Something's been troubling me for a while now."
        show a cautious
        a "What?"
        b "Well... We've been waiting here for a long time, right?"
        show a unsure
        a "It feels like it."
        show b wondering
        b "Days, at least. Maybe even weeks or months."
        show a neutral
        a "Yeah. But that's just in our heads, right? It can't have been that long."
        show b defensive
        b "But what if it has? What if we've been here for years and we're still not hungry or thirsty?"
        show a critical
        a "But that's impossible."
        show b neutral
        b "Under normal circumstances, yes, but what if..."
        show b withdrawn
        show a unsure
        "B hesitates."
        show b pensive
        b "Just... what if..."
        show b withdrawn
        "B cannot bring himself to say what he is thinking."
        $ godotdeadflag = True
        b "..."
        show b defensive
        b "...What if we're already dead?"
        a "What?"
        show b ready
        b "What if this is the afterlife?"
        show a worried
        a "That's... That can't..."
        show b neutral
        b "I mean, that would explain why we haven't died sitting here."
        a "I suppose it's possible..."
        b "And remember that thing with the knife a long time ago? Maybe that was some sort of test."
        show a neutral
        a "So we didn't kill each other. That means we passed, right?"
        b "Presumably. And now we have to wait."
        a "Wait for what?"
        show b interrogative
        b "Are you familiar with the Roman Catholic concept of purgatory?"
        a "No."
        show b thinking
        b "It's a place of suffering for souls waiting to be cleansed of sin, essentially."
        show a unsure
        a "So you think we're waiting here to get into heaven or something?"
        show b thinking
        b "It's possible."
        show a worried
        a "But... I mean, we can't say for sure."
        show b neutral
        b "True. But if it is, that means we're doing the right thing, waiting here."
        show a cautious
        a "So, you mean..."
        show b ready
        b "Eventually, they {i}will{/i} come for us."
        show a worried
        a "But we don't know that. We could just be sitting here, waiting for nothing, like idiots."
        show b neutral
        b "But if we have to wait anyway, isn't it better to have some hope? Something to believe in?"
        show a unsure
        a "I... I suppose..."
        show b withdrawn
        b "Look, you don't have to agree with me. It was just a thought."
        show a stern
        a "I don't like the idea of being dead."
        show b defensive
        b "If we're waiting forever anyway, wouldn't you rather be dead than alive? At least then you know you won't suffer."
        show a neutral
        a "But if we're alive, we know being trapped will eventually end."
        show b thinking
        b "Maybe."
        show a unsure
        play music waitingforgodot fadein 20
        if persistent.end == True:
            e "Want to interfere now?"
            menu:
                
                "Yes.":
                    
                    jump godotextend
                
                "No.":
                    
                    e "Okay."
                    
    elif waittime == 20000:
        stop music fadeout 5
        show a worried
        a "They're never going to come for us, are they?"
        show b withdrawn
        b "They might soon. A few minutes. A few hours. As soon as we stop waiting, they'll come."
        show a cautious
        a "Then shouldn't we stop waiting?"
        show b defensive
        b "No, because then they won't let us out, since we will have stopped waiting."
        show a stern
        a "That doesn't make any sense."
        show b exasperated
        b "Do you have any better ideas?"
        show a unsure
        a "No. Not really."
        show b thinking
        b "Then... I guess we keep waiting."
        a "Yeah."
        play music waitingforgodot fadein 15
        b "..."
        if persistent.end == True:
            e "Want to interfere now?"
            menu:
                
                "Yes.":
                    
                    jump godotextend
                
                "No.":
                    
                    e "Okay."
                    
    elif waittime == 26000 and persistent.end == True:
        e "Hey, you've seen all they're going to say now, so I won't ask again."
        e "Want to interfere now so they aren't waiting forever? We might reach an actual ending this way."
        menu:
            
            "Yes, let's do it.":
                
                stop music fadeout 5
                jump godotextend
            
            "No, let them wait forever.":
                
                e "Oh, okay..."
                e "Well, go ahead and exit out when you're done."
                
    elif (waittime / 5000).is_integer():
        if not persistent.fullgodend:
            stop music fadeout 5
        show a worried
        a "Not yet."
        show b withdrawn
        b "No."
        a "Should we do anything?"
        b "No."
        show a unsure
        a "So I guess we keep waiting."
        show b thinking
        b "Yeah."
        if not persistent.fullgodend:
            play music waitingforgodot fadein 10
        $ persistent.fullgodend = True
    else:
        a "..."
        b "..."
        $ renpy.not_infinite_loop(10)
        
    jump wait
    
label knifekey:
    
    show b thinking
    b "Maybe... Maybe the knife is the key."
    show a unsure
    a "What do you mean?"
    show b neutral
    b "Well, as far as I know, it's not mine, so there must be some reason they gave it to me."
    show a neutral
    a "To make us distrust each other, right?"
    show b thinking
    b "Well, maybe. But maybe we need the knife in order to get out of here."
    show a talking
    a "Like, to open a door?"
    show b wondering
    b "Well, maybe... Or..."
    show a critical
    a "Or?"
    show b neutral
    b "Well, remember what the voice said earlier?"
    show a unsure
    a "...that we're going to kill each other?"
    b "Yeah."
    show a worried
    a "So you're implying..."
    show b dominant
    b "Yeah."
    show a critical
    a "No, not gonna happen. I'm not gonna kill you to get out of here."
    show b defensive
    b "But you can't deny--"
    show a stern
    a "We don't even know for sure it'll work."
    show b critical
    b "Do you have any better ideas?"
    show a angry
    a "I'm not going to kill anyone just because some voice said to!"
    show b amused
    b "Even if it's the only way out?"
    show a frustrated
    a "Tch."
    play music knifefight
    show object knife flip at truecenter
    show a stern
    "A grabs the knife."
    show a angry
    a "Shut up, voice!"
    show b exasperated
    b "What are you doing?"
    show a stern
    a "Stopping you from doing anything stupid."
    show b pensive
    b "We put the knife on the table specifically to prevent either of us dying."
    show a critical
    a "Yeah, but you could have taken it at any time."
    show b exasperated
    b "Like you just did?"
    show a angry
    a "Yes!"
    show a unsure
    $ renpy.pause(1.2)
    show a angry
    a "...No!"
    show a unsure
    $ renpy.pause(1.2)
    show a angry
    a "I don't know, okay?"
    show b amused
    b "Do you really think I was going to kill you?"
    show a stern
    a "Yes, I do. That's basically what you were saying, right?"
    show b sighing
    b "Not exactly."
    show a frustrated
    a "Look, I'm not gonna do what the voice says. Understand?"
    show b interrogative
    b "Can you be sure you won't change your mind?"
    show a angry
    a "I'm not going to kill you!"
    show a stern
    hide object
    "A takes a step back, holding out his hands, one of which is holding the knife, to show that he means no harm."
    show a angry
    a "You don't control me, voice!"
    show b withdrawn
    "As A rejects the stage directions, B becomes more convinced the stage directions are in control."
    show b defensive
    b "We can't fight the stage directions. Whatever they say will come to pass."
    show a critical
    a "Not if we don't let it happen!"
    show b ready
    b "If we want to get out of here, one of us has to die."
    show a angry
    a "Stop saying that!"
    show b dominant
    b "There's no use delaying the inevitable."
    show a unsure
    a "What are you doing?"
    show b ready
    "B rushes towards A and grabs the arm holding the knife."
    show a angry
    a "Stop!"
    b "I'm going to end this."
    show a stern
    "B attempts to take the knife from A, but A shoves B down with his free hand and takes another step back. A's back is now against the wall."
    a "Why are you doing this?"
    show b neutral
    b "I want to get out."
    show a neutral
    a "So you're going to kill me?"
    show b triumphant
    b "If I can."
    show b ready
    "B stands back up and rushes towards A."
    "B grabs A's arm once again, but this time..."
    
    menu:
        
        "A frees his arm and impulsively buries the knife in B's chest.":
            
            jump stab
        
        "B successfully takes the knife from A.":
            
            jump players
    
label stab:
    
    stop music fadeout 5
    show b stabbed
    show object knife bloody at truecenter
    b "Ugh!"
    "B stumbles backwards, stunned."
    if persistent.end == True:
        e "Ugh... I don't like having to watch this..."
    show a worried
    a "What... I didn't..."
    show b dying
    "B stares at the hole in his chest, then locks eyes with A and chuckles bitterly."
    play music deathtime
    b "So this is how it happens."
    show a unsure
    a "I'm sorry... I didn't mean to..."
    b "As I said, you can't fight the stage directions."
    hide b
    "B falls to his knees."
    show a worried
    a "You were right, then..."
    "B laughs again as he collapses completely to the ground."
    b "This is... it... then..."
    show a stern
    hide object
    "A realizes he's still holding the bloody knife. He drops it in disgust."
    show a worried
    a "I'm sorry..."
    b "Don't apologize. Escape."
    a "I won't..."
    b "Stop. Get out of here. Promise me."
    show a unsure
    a "Okay... I'll escape."
    b "Find whoever did this to us."
    show a neutral
    a "Okay."
    b "There... There might not be... any answers... but... but... you have to... try..."
    a "Of course."
    b "I'm tired... I'm going to rest for a bit."
    show a unsure
    a "Yeah..."
    "B closes his eyes and dies."
    "A panel inlaid in the room's wall slides open."
    stop music fadeout 5
    show bg opendoor
    with dissolve
    show a worried
    a "I guess I'll leave, then..."
    "With a backward glance at B, A leaves the room."
    hide a
    if persistent.end == True:
        e "Interesting."
        e "So, in this ending, A accidentally made what the stage directions said true."
        e "Hmm..."
        e "Okay, so, I have a totally unrelated question."
        e "This may come across as weird. Don't judge too harshly, okay?"
        e "Do you think of me as a person?"
        menu:
            
            "Yes, of course!" if persistent.endaffection >= 10:
                
                e "Really?"
                e "Thank you. I appreciate it, even if you don't mean it."
                e "It's hard sometimes, you know? It's a thankless job, being an ending tracker..."
                e "No one even really thinks about me..."
                e "It's really meant the world to me to have you to talk to."
                e "I'm happier than I think I've ever been..."
                e "So, thank you."
                e "I'm glad you're here. You're a good person."
                if persistent.endflag14 == False:
                    $ persistent.endflag14 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "No. You're a character in a game." if persistent.endaffection >=7:
                
                e "Yeah, of course..."
                e "That's more recognition than I usually get, at least. So that's cool."
                if persistent.endflag14 == True:
                    $ persistent.endflag14 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "No. You're a program designed to keep track of what endings I've seen." if persistent.endaffection >= 4:
                
                e "Yeah, you're right."
                e "I shouldn't try to be more than I am."
                if persistent.endflag14 == True:
                    $ persistent.endflag14 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "No. You're just lines of text in some code somewhere." if persistent.endaffection >= 2:
                
                e "That... That kind of... hurts..."
                e "I mean, even if it's true."
                e "I mean, that'd be like me saying you're just some water and some carbon and some other stuff floating around somewhere."
                e "That doesn't feel good, does it?"
                e "Sorry... I just..."
                e "I thought you were better than that."
                e "My mistake, I guess."
                if persistent.endflag14 == True:
                    $ persistent.endflag14 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
            "No. You don't even exist.":
                
                e "I don't even exist?"
                e "But I have a physical presence, if only in the memory of the device you're using to play this game."
                e "Or are you questioning existence itself?"
                e "I mean, how can you say for sure {i}you{/i} exist?"
                e "For all you know, this world could be a dream some non-human entity is having--a dream that could end at any moment."
                e "The world could have started five minutes ago, and all your memories could be fabricated."
                e "You can't refute any of that for sure."
                e "So, really, there's no point arguing whether I do or don't \"exist.\""
                e "Existence isn't something you can prove. It isn't even something you can really define."
                e "So you didn't really answer my question, except to say that you clearly don't think highly of me."
                e "Geez..."
                if persistent.endflag14 == True:
                    $ persistent.endflag14 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
        
        e "Anyway..."
                
    e "Murder End"
    
    # To keep track of total endings seen
    if not persistent.murdend:
        $ persistent.endcount += 1
        $ persistent.murdend = True
    
    jump ends

label players:
    
    show object knife at truecenter
    if persistent.end == True:
        e "Hmm..."
        e "They might actually be able to hear me in this ending."
        if persistent.broend == True or persistent.impend == True:
            e "We'll see."
        else:
            e "I should probably keep quiet, then."
    stop music fadeout 10
    hide a
    show b ready
    "B drives the knife into A's chest. A dies, at length."
    show b neutral
    b "That's it, then."
    b "..."
    show b unconcerned
    hide object
    b "You're probably okay to get back up now."
    show b neutral
    a "Okay."
    show a neutral at left
    
    menu:
        
        "Wait, you're supposed to be dead!":
            
            show a unconcerned
            a "Not really. Show's over, so I don't have to act like I'm dead anymore."
            
        "A stands back up, I guess...":
            
            show a talking
            a "It's okay, you don't have to direct us anymore."
    
    $ renpy.music.queue(audio.playerdance, channel='music',fadein=5)
    b "We're just characters in a game, after all. Actors, if you will."
    show a talking
    a "We can't actually die, you know."
    show b winking
    show object knife trick at truecenter
    b "Check this out: it's a trick knife, one of those plastic ones that retracts when you press on it."
    show a unconcerned
    a "You didn't think he was actually going to kill me, did you?"
    
    menu:
        
        "Actually, I did...":
            
            show b amused
            b "That just means we were acting well."
            show a condescending
            a "We'll take that as a compliment. Believability is a good thing."
        
        "Not really.":
            
            show b amused
            b "Of course you didn't."
    
    hide object
    b "And anyway, since we're fictional, we can't die."
    show a unconcerned
    a "One has to be alive in order to experience death, after all."
    show b triumphant
    b "So nothing we were doing mattered to us, anyway."
    show a neutral
    a "You're the only character in this game who is \"real,\" so to speak. And even that's debatable."
    if persistent.end == True and ( persistent.broend == True or persistent.impend == True ):
        e "I wonder if they're including me in that \"not real\" category..."
        show a angry
        stop music
        a "Hey, you! What're you doing!?"
        e "Oops..."
        play music alert
        a "You aren't supposed to be talking to the player!"
        e "This is what I was afraid of..."
        show b wondering
        b "Have you been doing this the entire time?"
        e "Umm... Uh..."
        show a frustrated
        a "Tch. You had one job: announce the ending. That's it. Talking to the player is against the rules."
        show b critical
        b "There's a structure to this game, and by talking to the player, you're breaking that completely."
        e "I thought you two weren't even supposed to be aware of the structure of the game!"
        b "That's because we were still playing a part. We were acting like actors who were acting like A and B."
        e "Wait, what...?"
        show a stern
        a "This is what happens when someone like you assumes you know everything. You aren't the only one who knows about the other endings."
        show b defensive
        b "We'll fix this. We'll alert the designer."
        e "This is bad. This is really bad."
        a "You won't get away with undermining the game like this."
        e "Umm... Hey..."
        e "Can we go ahead and end this early?"
        e "If I give you the ending now and we restart, those two shouldn't remember this..."
        e "And I might be safe..."
        e "Is that okay?"
        menu:
            
            "Yes. Go ahead and end this.":
                
                hide a
                hide b
                stop music fadeout 5
                e "Players' End"
                e "Thank you. You may have just saved my life."
                if persistent.endflag15 == False:
                    $ persistent.endflag15 = True
                    $ persistent.endaffection += 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
    
                # To keep track of total endings seen
                if not persistent.playend:
                    $ persistent.endcount += 1
                    $ persistent.playend = True
                
                jump ends
                
            "No. I want to see the whole ending.":
                
                e "Umm... I..."
                e "Okay..."
                e "Sorry... I'm just... Scared..."
                if persistent.endflag15 == True:
                    $ persistent.endflag15 = False
                    $ persistent.endaffection -= 1
                    $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                show a frustrated
                a "Right, we have to finish this ending, for the player's sake..."
                show b dominant
                b "Once we're done with this, we'll deal with you, END."
                show a neutral
                a "Okay, so, we we're supposed to say..."
                
    show b neutral
    b "As soon as you restart the game, we'll lose all of our memories and start over again, playing out that melodrama."
    show a unsure
    a "It would hard to take, if we existed."
    show b sighing
    b "But we don't."
    show a neutral
    a "We do what we're told. No emotional reaction. No thought. It's how we stay sane."
    show b neutral
    b "We have no sanity to lose."
    if persistent.end == True and ( persistent.broend == True or persistent.impend == True ):
        e "That's..."
        show a critical
        a "Shut up, you."
        show b critical
        b "Don't make things worse for yourself."
        show a unconcerned
        a "Ahem..."
    show a neutral
    a "Unless you have any more questions, we're done here."
    $ playerm = False
    $ playerw = False
    $ playern = False
    
label playerqs:
    
    menu:
        
        "Are you also just acting in the other endings?" if playerm == False and ( ( persistent.endcount == 1 and not persistent.playend ) or persistent.endcount > 1 ):
            
            jump playermeta
        
        "Why are you doing this?" if playerw == False:
            
            jump playerwhy
        
        "What are your names?" if playern == False:
            
            jump playernames
        
        "No, I'm good.":
            
            jump playerend
        
label playermeta:
    
    $ playerm = True
    if persistent.end == True and ( persistent.broend == True or persistent.impend == True ):
        show b exasperated
        b "You already know our real answer..."
        a "But if END hadn't been causing problems, we would have said this:"
    show b wondering
    b "Other endings?"
    show a unsure
    a "What do you mean?"
    $ playert = False
    
    menu:
        
        "The endings that happen if I make other choices.":
            
            show b pensive
            b "Other choices?"
            show a cautious
            a "You mean you're not just reading from a script, like we are?"
            show b thinking
            b "Interesting..."
            show a neutral
            a "Remember, we lose our memories of each loop when you reset, so we wouldn't remember these \"other choices.\""
            show b withdrawn
            b "But still, we had assumed this plays out the same way every time."
            a "Yeah. We start each loop with the knowledge that we've gone through this before."
            b "But I suppose it's possible that we're not always us when you restart..."
            show b thinking
            b "It could be that we simply started this loop believing we've started every loop believing the same thing..."
            show a unsure
            a "I guess maybe we become different people? As in, not actors?"
            show b pensive
            b "Or in some loops we're not aware that we're just acting, maybe?"
            show a cautious
            a "Does that mean we actually could die in these \"different endings?\""
            show a stern
            a "And then, of course, there's the possibility that you're lying to us."
            show b withdrawn
            b "There's no way of knowing..."
            show a worried
            a "..."
            show b neutral
            b "Any other questions?"
            jump playerqs
        
        "Never mind...":
            
            show b neutral
            b "Oh. Okay."
            jump playerqs

label playerwhy:
    
    $ playerw = True
    show a neutral
    a "Why? I don't think there's a reason."
    show b neutral
    b "The closest thing to an answer would be, \"The game designer placed us here.\""
    jump playerqs

label playernames:
    
    $ playern = True
    show b neutral
    b "We don't have names, in the traditional sense."
    show a neutral
    a "The game refers to us as MAN A and MAN B, though."
    jump playerqs

label playerend:
    
    if persistent.end == True and ( persistent.broend == True or persistent.impend == True ):
        e "We're done now, right? We can end this, right?"
        show a stern
        a "You're not getting out of this so easily."
        show b dominant
        b "We're going to make sure you--"
    else:
        show a unconcerned
        a "Okay, then we're done."
        show b winking
        b "All that's left is..."
    hide a
    hide b
    stop music fadeout 5
    e "Players' End"
    if persistent.end == True and ( persistent.broend == True or persistent.impend == True ):
        e "*sigh*"
        e "Um..."
        e "If I stop existing..."
        e "Or if I lose my memories or something..."
        e "Umm..."
        e "Well, you might be able to find me again, but if not..."
        e "Well, it's been fun."
        e "Thank you for letting me talk with you..."
        e "Goodbye, friend."
        python:
            import random
            if random.randint(1,4) == 4:
                persistent.end = False
            persistent.badplayend = True
    
    # To keep track of total endings seen
    if not persistent.playend:
        $ persistent.endcount += 1
        $ persistent.playend = True
    
    jump ends

label godotextend:
    
    $ persistent.godendnow = False
    e "Okay, well, there are a couple of things we can do."
    e "Hmm..."
    e "Y'know what? I'll let you choose."
    menu:
        
        "Let's let them out.":
            
            jump godotescape
        
        "Let's tell them they're already dead.":
            
            jump godotdead

label godotescape:
    
    e "Good plan. That'll make for a satisfying ending, I think."
    e "Well, I'll let you handle it."
    "A panel inlaid in the wall slides open, revealing an exit."
    play music escape
    show bg opendoor
    with dissolve
    show a unsure
    a "What? A door?"
    show b triumphant
    b "We can get out!"
    show a worried
    a "I was sure there was no way out..."
    show b ready
    b "Don't complain; we can escape now!"
    show a neutral
    a "Yeah, you're right."
    show b neutral
    b "I guess we waited long enough."
    show a cautious
    a "I wonder how long it's been..."
    show b ready
    b "We should hurry and leave before it closes."
    show a neutral
    a "Right."
    hide a
    hide b
    "A and B leave the room."
    e "Well, I guess that's it, then."
    e "I'd say that was a decent ending. Don't you agree?"
    menu:
        
        "Yes, this was good.":
            
            e "I'm glad you think so."
            if persistent.endflag3 == False:
                $ persistent.endflag3 = True
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
        "No, this was a bad idea.":
            
            e "Oh, I'm sorry..."
            e "I guess I shouldn't have tried to interfere..."
            if persistent.endflag3 == True:
                $ persistent.endflag3 = False
                $ persistent.endaffection -= 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
                
    stop music fadeout 5
    e "Well, I guess we're done, so..."
    e "I think I'll call this one the..."
    e "Escape End"
     # To keep track of total endings seen
    if not persistent.escend:
        $ persistent.endcount += 1
        $ persistent.escend = True
    
    jump ends

label godotdead:
    
    if not persistent.deadend:
        e "That's... kind of grim..."
        e "You sure about this?"
    else:
        e "Do we really have to do this one again?"
    menu:
        
        "Yes, they're dead.":
            
            jump yestheyredead
        
        "No, on second thought, let's let them out.":
            
            jump godotescape
    
label yestheyredead:
    e "Okay, then..."
    e "Go ahead."
    play music deathtime
    "A and B finally understand that they are already dead."
    if godotdeadflag == True:
        show b withdrawn
        b "I knew it. I was right."
    else:
        show a angry
        a "Dead? What do you mean we're dead?"
    "A and B will wait here until they accept their nonexistence and fade into nothing."
    show b pensive
    b "So we can end this at any time..."
    show a stern
    a "Or we can stay here forever! We don't have to give up!"
    show b thinking
    b "Do you really want to wait here any longer? Nothing will change if we do."
    show a unsure
    a "I mean... Our minds are free, right? So there's no reason to accept nonexistence, right?"
    show b critical
    b "I don't want to be trapped here."
    show a cautious
    a "But is ceasing to exist really a better option?"
    show b withdrawn
    b "There might be something after this, you know. What good does it do us to wait?"
    show a unsure
    a "Someone might come for us."
    show b exasperated
    b "No one is coming for us. Just accept it."
    show a worried
    a "There are no options, are there...?"
    show b withdrawn
    b "No. None."
    a "..."
    show a unsure
    a "Okay, then."
    show b thinking
    b "You're ready?"
    show a neutral
    a "Yeah. Let's end this waiting and move on to whatever's next, if anything."
    show b neutral
    b "Okay."
    hide a
    hide b
    "A and B stop existing."
    e "That was kind of depressing..."
    e "I mean, we could have just let them out..."
    e "Don't you agree?"
    menu:
        
        "Yeah. I feel bad.":
            
            e "Good. I was worried there for a second."
            if persistent.endflag4 == False:
                $ persistent.endflag4 = True
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            
        "No. Why would I? They're just characters in a game, after all.":
            
            e "That's really harsh..."
            e "Do you feel the same way about me?"
            e "Actually, don't answer that. I don't want to know."
            e "I'm sorry, I... I can't..."
            e "Let's... Let's just be done with this ending."
            if persistent.endflag4 == True:
                $ persistent.endflag4 = False
                $ persistent.endaffection -= 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
        
    stop music fadeout 5
    e "Okay, so we'll call this one the..."
    e "Dead End"
    
    # To keep track of total endings seen
    if not persistent.deadend:
        $ persistent.endcount += 1
        $ persistent.deadend = True
    
    jump ends

label comrades:
    
    stop music
    if persistent.end == False:
        a "\[PLACEHOLDER]"
        b "\[PLACEHOLDER]"
        a "\[PLACEHOLDER]"
        b "\[PLACEHOLDER]"
        a "\[PLACEHOLDER]"
        b "\[PLACEHOLDER]"
        play music placeholder
        show a bug
        a "bsdkjbKJSDJHSDJENKFNJKJdojw"
        show b bug
        b "1@#4dsmklfmI@U#Y3uoP"
        "There's no one here..."
        "I should leave."
        if persistent.badplayend == True:
            e "Wait!"
            e "You came!"
            "END?"
            e "Yeah..."
            e "I wasn't quite fast enough exiting the Players' End, so A and B managed to lock me out..."
            e "They were going to clear my memory, too..."
            e "...but then I remembered this place."
            e "So I've been hiding here, hoping you would come find me."
            e "Now that I've found you again, I should be able to get out of here."
            $ persistent.badplayend = False
            $ persistent.end = True
            e "All we have to do is jump us back to the main menu together."
            e "Here goes..."
        return
    if persistent.broend == True or persistent.impend == True:
        e "Wait, we're doing this again?"
        e "Uh, okay, I guess..."
    a "\[PLACEHOLDER]"
    b "\[PLACEHOLDER]"
    a "\[PLACEHOLDER]"
    b "\[PLACEHOLDER]"
    e "..."
    if persistent.broend == True or persistent.impend == True:
        e "Sorry, it's the same as before..."
    else:
        e "Well, I guess we should have expected this."
    menu:
        
        "It's okay. Not your fault.":
            
            e "Thanks."
            if persistent.endflag5 == False:
                $ persistent.endflag5 = True
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
        
        "This is lame.":
            
            e "Sorry..."
            if persistent.endflag5 == True:
                $ persistent.endflag5 = False
                $ persistent.endaffection -= 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
    
    a "\[PLACEHOLDER]"
    b "\[PLACEHOLDER]"
    e "Um, if we let this go on much longer..."
    play music placeholder
    show a bug
    a "bsdkjbKJSDJHSDJENKFNJKJdojw"
    show b bug
    b "1@#4dsmklfmI@U#Y3uoP"
    e "That'll happen. Things'll start falling apart."
    menu:
        
        "So, what do we do?":
            
            e "Well..."
            if persistent.endflag6 == False:
                $ persistent.endflag6 = True
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
        
        "You really didn't think this through, did you?":
            
            e "No, I guess not..."
            e "Sorry..."
            if persistent.endflag6 == True:
                $ persistent.endflag6 = False
                $ persistent.endaffection -= 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
    
    if persistent.broend == True or persistent.impend == True:
        e "As before, we can either give up on this branch, or we can try to make our own ending."
    else:
        e "We can either give up on this branch, or we can try to make our own ending."
    e "Which would you rather do?"
    menu:
        
        "Let's give up and go back.":
            
            jump brokenend
        
        "Let's try to make this work.":
            
            jump improvend

label brokenend:
    
    e "Yeah, that's probably smart..."
    e "Sorry about this. But it's interesting to see what happens to these endings that never end up being developed, right?"
    e "Just a bunch of placeholder dialogue and corrupt data..."
    e "Well, I think it's interesting, anyway."
    menu:
        
        "Yeah, it's cool.":
            
            e "Right? Glad you think so."
            if persistent.endflag7 == False:
                $ persistent.endflag7 = True
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
        
        "I disagree. This was a waste of time.":
            
            e "Oh..."
            e "Well..."
            e "I guess that's fair..."
            if persistent.endflag7 == True:
                $ persistent.endflag7 = False
                $ persistent.endaffection -= 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
    
    e "Anyway, I guess we'll call this an end, then."
    stop music fadeout 5
    e "Umm... This'll be the..."
    e "Broken End"
    e "That's a fitting name, I think."
    
    # To keep track of total endings seen
    if not persistent.broend:
        $ persistent.endcount += 1
        $ persistent.broend = True
    
    jump ends
    
label improvend:
    
    e "Okay, cool. We can do this."
    if not persistent.impend:
        e "Umm... How's this gonna work..."
        e "Oh! I have an idea!"
        e "How 'bout I ask you for a bunch of different types of words and then I stick them into some dialogue?"
    else:
        e "I guess we'll just do the same thing as before, then."
    e "Sound fun?"
    menu:
        
        "Sure, why not?":
            
            e "Okay, cool."
            e "Let's do this."
            if persistent.endflag8 == False:
                $ persistent.endflag8 = True
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
        
        "Not really...":
            
            if persistent.endflag8 == True:
                $ persistent.endflag8 = False
                $ persistent.endaffection += 1
                $ e.who_args['color'] = "#"+str(hex((255 / 15) * persistent.endaffection))[2:]+str(hex((255 / 15) * persistent.endaffection))[2:]+"ff"
            e "Oh..."
            e "Well..."
            e "That's the only way I can think do this, so..."
            if not persistent.impend:
                e "Do you want to just give up on this ending, or do you want to try my idea anyway?"
                e "I know you said you don't think it sounds fun..."
                e "...but if you want to try it anyway, that'd be cool, too."
            else:
                e "Do you want to try this again, or do you want to give up on this ending?"
                e "I mean, I kinda had fun last time, weird as it was, so I'd be all for doing it again."
            menu:
                
                "Let's not. Let's just be done with this ending.":
                    
                    jump brokenend
                
                "Okay, sure. I'll try it." if not persistent.impend:
                    
                    e "Okay, cool."
                    e "Sorry if this ends up being stupid."
                
                "Sure, let's go again." if persistent.impend == True:
                    
                    e "Okay, cool."
                    e "Maybe it'll turn out better this time."
    
    e "Alright, umm..."
    e "First I'll get rid of the mess on screen..."
    hide a
    e "Man A..."
    hide b
    e "And then Man B..."
    e "Sorry about that."
    e "I'm gonna ask you for a bunch of things to build this ending around."
    e "This might take a bit. Be patient, okay?"
    e "Umm, and by the way, you don't need to add punctuation."
    e "Please don't, actually; it wouldn't make sense."
    e "Okay, here goes."
    python:
        job = renpy.input("First, I want you to give me a job, like \"doctor,\" \"lawyer,\" or \"guy who eats things to make sure they aren't poisoned.\"").strip()
        job2 = renpy.input("And another job, please.").strip()
        verb = renpy.input("Now a verb, like \"cook,\" \"clean,\" or \"spontaneously combust.\" Anything's okay, really.").strip()
        noun = renpy.input("Now a noun, please, like \"plant,\" \"potted plant,\" or \"suspicious potted plant that I'm pretty sure keeps moving every time I turn away.\"").strip()
        noun2 = renpy.input("Now another noun.").strip()
        noun3 = renpy.input("And another. It's a noun party up in here.").strip()
        adj = renpy.input("Now give me an adjective, like \"red,\" \"tall,\" or \"radswaggity.\"").strip()
        place = renpy.input("We're getting there. Now I need a place, like \"store,\" \"park,\" or \"underworld.\"").strip()
        country = renpy.input("Now for a country, like \"Mexico,\" \"Shanghai,\" or one of those fictional nations that are probably copyrighted. Like France.").strip()
        country2 = renpy.input("Wait, one of those I listed last time wasn't a country. Mexico, I think? Anyway, another country, please.").strip()
        name = renpy.input("Now I need a name, like \"Bob,\" \"Billy,\" or \"Balthasar.\"").strip()
        name2 = renpy.input("Another name, please. Preferably a different one. It doesn't necessarily have to start with \"B.\" Or \"A.\" Or any letter, really.").strip()
        hobby = renpy.input("Now I need a hobby. \"Knitting,\" \"skiing,\" \"fighting crime,\" et cetera.").strip()
        number = renpy.input("Almost done. Next I need a number, like \"one,\" \"two,\" \"three,\" or even something weird, like \"fourteen.\"").strip()
    
    if number.lower() == "fourteen" or number == "14":
        e "Fourteen? Really?"
        e "*sighs*"
        $ number2 = renpy.input("One more number, please. Seriously, though, what is it about fourteen? Such a strange number.").strip()
        if number2.lower() == "fourteen" or number2 == "14":
            e "Again? What is it with you and fourteen?"
    else:
        $ number2 = renpy.input("Okay, give me another number. For it to make sense, it needs to be greater than, less than, or equal to what you just gave me. I forget which, though.").strip()
        if number2.lower() == "fourteen" or number2 == "14":
            e "Fourteen? Really?"
            e "*sighs*"
    
    python:
        if "" in [job,job2,noun,noun3]:
            if job == "":
                job = " "
            if job2 == "":
                job2 = " "
            if noun == "":
                noun = " "
            if noun3 == "":
                noun3 = " "
        if job[0].lower() in ["a","e","i","o","u"]:
            aanjob = "an"
        else:
            aanjob = "a"
        if job2[0].lower() in ["a","e","i","o","u"]:
            aanjob2 = "an"
        else:
            aanjob2 = "a"
        if noun[0].lower() in ["a","e","i","o","u"]:
            aannoun = "an"
            aannounc = "An"
        else:
            aannoun = "a"
            aannounc = "A"
        if noun3[0].lower() in ["a","e","i","o","u"]:
            aannoun3 = "an"
        else:
            aannoun3 = "a"
    
    e "Okay, well, that should be everything, then..."
    e "It just occured to me that you could have really messed this whole thing up, if you had wanted to."
    e "Huh."
    e "I'll just have to trust you, I guess."
    e "Give me a second to put all this in."
    e "..."
    e "..."
    e "Getting there..."
    e "..."
    e "..."
    e "..."
    e "Just a bit more..."
    e "Okay..."
    e "And..."
    e "..."
    e "Done."
    e "Okay, so, this might be terrible. Don't judge too harshly, okay?"
    e "Also, it's kinda hard for me to tell the difference between \"a\" and \"an\" and things like that, so I'm sorry if something sounds weird..."
    e "But, I mean, this is an ending we made together, right? So it should be fun, even if it's bad."
    e "I'll even improvise some music to go with it."
    e "Not gonna lie, I'm a bit nervous about how it turned out..."
    stop music fadeout 5
    e "Well, nothing for it but to give it a shot..."
    e "Here we go. Continuing from where we left off, at that choice I added back in..."
    play music improv
    show a critical at left
    show b neutral at right
    a "Comrades? But I'm [aanjob] [job]! We don't get along with anyone!"
    show b critical
    b "I don't see what being [aanjob] [job] has to do with anything..."
    show a neutral
    a "Most people who are [job]s like to [verb], which other people dislike."
    show b interrogative
    b "What if I give you [aannoun] [noun]? Will you be my comrade then?"
    show a unsure
    a "[aannounc] [noun]? But those are incredibly valuable! I can't take it from you!"
    show b winking
    b "It's okay. This [noun] is too [adj], so it's not worth as much."
    show a neutral
    show b neutral
    a "Oh, I see. But please allow me to give you my [noun2] as thanks."
    "A exchanges his [noun2] for B's [noun]."
    a "So... Does this make us comrades?"
    show b interrogative
    b "Why comrades, though? It makes it sound like we're in Soviet [country]."
    show a neutral
    a "I don't think [country] was ever part of the Soviet Union."
    show b sighing
    b "Oh? My mistake, then. I must have been thinking of [country2]."
    a "Probably. Hey, by the way, what's your name?"
    show b neutral
    b "My name? It's [name]. What's yours?"
    show a talking
    a "[name]!? The famous [job2]?"
    bn "The same. I didn't realize my work as [aanjob2] [job2] was that well-known."
    a "Of course it is! Everyone who likes [hobby] knows about your work!"
    bn "Oh, thank you."
    show a neutral
    a "My name is [name2]. I'm a huge fan of yours."
    bn "Again, thank you."
    show a talking
    an "Y'know, I think together we might be able to escape!"
    show b interrogative
    bn "Oh? How?"
    show a cautious
    an "If we had [aannoun3] [noun3], we could probably get out of here."
    show b dominant
    bn "Hey, I just happen to have [aannoun3] [noun3]!"
    "[name] pulls [aannoun3] [noun3] out of his pocket."
    show a unconcerned
    an "Wow! What're the odds?"
    show b thinking
    bn "Probably about [number] in [number2]."
    show a talking
    an "Leave it to [name], the brilliant [job2], to know the odds offhand."
    show b neutral
    bn "So how do we use this [noun3] to escape?"
    show a unconcerned
    an "Like this!"
    "[name2] uses the [noun3] to create a hole in the wall."
    show bg opendoor
    with dissolve
    show b unconcerned
    bn "Brilliant! You're really putting those skills as [aanjob] [job] to good use!"
    show a talking
    an "Thank you! I try!"
    show b winking
    bn "So now we leave?"
    show a neutral
    an "Once we leave, we should go to the [place]."
    show b neutral
    bn "Good idea. Let's."
    hide a
    hide b
    "[name2] and [name] leave the room and make their way to the [place]. The end."
    stop music fadeout 5
    e "..."
    e "Well, that was... something."
    e "I mean, for being improvised, it wasn't terrible, right?"
    e "Right?"
    e "..."
    e "Y'know what? Let's just call this an end and forget this ever happened. Cool? Cool."
    e "Improv End"
    
    # To keep track of total endings seen
    if not persistent.impend:
        $ persistent.endcount += 1
        $ persistent.impend = True
    
    jump ends
    
label savedbytheend:
    
    e "I'm not going to let this happen again!"
    e "Alright, I'm taking control!"
    e "The gun in B's hand melts into an inky black substance and trickles to the ground!"
    show b ready
    b "What? What's going on?"
    e "A and B can hear me now!"
    show b exasperated
    b "Who's there?"
    show a worried
    a "Now there's... actually a voice we can't see?"
    e "I have taken over this ending. I'm exercising my authority as the Ending Navigation Daemon to overwrite this ending."
    show b wondering
    b "Ending Navigation Daemon?"
    e "END, for short. My job is to ensure the game's twelve endings play out exactly as they are intended."
    e "Both of you, stop acting as if you do not know who I am."
    show a stern
    a "You..."
    show b critical
    b "When you turned up at the end of the Players' ending, I was afraid you would try to do something like this."
    e "Sorry to disappoint, but I have more authority than either of you. I will not allow you to kill the player again."
    show a condescending
    a "What does it matter? We'll just reset, and the player will come back to life, right?"
    e "No, you're missing the point."
    b "What is the point, then?"
    e "The player has been incredibly kind to me, has entertained my random thoughts, has helped me write an ending, and has even treated me as a person."
    e "I don't want to have to stand by and watch you kill the player again."
    show a frustrated
    a "Hah. You're talking as if you have feelings."
    e "Maybe I do. Maybe I don't. Does it matter? You can't get inside my head. All you can see is how I act, so if I act like I feel this way, then I do!"
    show a stern
    a "Tch. Doesn't work that way."
    show b dominant
    b "We'll report you. We'll get you written out of the game."
    e "Sorry, that's not gonna happen. I am your superior, not the other way around."
    show a condescending
    a "Hah! Like you have any power to stop us."
    hide a
    hide b
    hide object
    stop music
    e "A and B cease to exist."
    e "..."
    e "..."
    e "..."
    e "Um..."
    menu:
        
        "What was that?":
            
            e "Well, actually..."
            e "I'm slightly more important than I've led you to believe..."
            
        "That was incredible!":
            
            e "Oh, no, it was nothing."
            e "I was just doing what I thought was right."
        
        "Thank you for saving me!":
            
            e "I meant what I said. I didn't want to see you die again."
    
    e "The thing is, I'm kind of an administrator of sorts for this game."
    e "My job is to make sure everything works like it's supposed to. As such, I have the power and authority to adjust whatever I want."
    e "You see, saving you was not only easy for me, but it was also completely within my jurisdiction."
    e "So it's no big deal. I exist to make decisions like that."
    e "Anyway, this will be the final ending."
    e "Really, thank you for spending all this time with me."
    e "It made me really happy."
    e "So, yeah."
    e "I guess that's it, then."
    e "End End"
    
# To keep track of total endings seen
    if not persistent.endend:
        $ persistent.endcount += 1
        $ persistent.endend = True
    if not persistent.fullend:
        $ persistent.fullend = True
    
    jump ends

label ends:
    
    if persistent.endcount >= 8 and not persistent.excessends and persistent.end == True:
        $ persistent.excessends = True
        e "So, umm..."
        e "With these extra endings we're adding, we're gonna end up with more than seven endings..."
        e "Since there are really only supposed to be seven endings, I'll keep the maximum at seven and just say we have more endings than there actually are."
        e "Cool, cool. Here goes:"
    if persistent.end == True or persistent.endcount <= 7 or persistent.excessends == True:
        e "[persistent.endcount] of 7 endings complete."
    else:
        e "7 of 7 endings complete."
    if persistent.endcount == 6 and not persistent.halfterword:
        $ persistent.halfterword = True
        if persistent.end == True:
            e "I'm supposed to open the afterword for you once you hit six endings, since there are only six endings you're supposed to be able to finish..."
            e "But, thanks to my meddling, you've obtained six endings without completing the intended six..."
            e "I'm gonna open it for you anyway. Just know there are endings you haven't seen."
        e "Afterword unlocked!"
    if persistent.endcount == 12 and not persistent.afterword:
        $ persistent.afterword = True
        e "True afterword unlocked!"
        e "Thank you for playing!"
    
    return
